from .Window import Window
from .Camera import Camera
from .Material import Material

__all__ = ["Line"]

class Line:
    _start: tuple | list
    _end: tuple | list
    _size: int

    variables: dict

    _material: Material

    def __init__(self, start: tuple|list, end: tuple|list, size: int): ...

    def drawObject(self, window: Window, camera: Camera|None = None): ...

    @property
    def start(self) -> tuple: ...

    @start.setter
    def start(self, start: tuple|list): ...

    @property
    def end(self) -> tuple: ...

    @end.setter
    def end(self, end: tuple|list): ...

    @property
    def size(self) -> int: ...

    @size.setter
    def size(self, size: int): ...

    @property
    def material(self) -> Material: ...

    @material.setter
    def material(self, material: Material): ...
